Mailinglist Archive: opensuse-packaging (140 mails)

< Previous Next >
Re: [opensuse-packaging] generic provides for MPI environments
On Wed, 4 Jan 2012 16:44:49 +0100, todd rme <toddrme2178@xxxxxxxxx>
wrote:

There are currently at least 3 MPI (message passing interface)
environments provided by openSUSE: lam, mpich, and openmpi. Packages
related to MPI, like mpi-selector, and python-pypar, require an MPI
environment be installed, but do not care which it is as long as it is
compliant with the MPI standard. There is no easy way to specify this
in the requires, however.

If so, what would be the best name for it?

Using a symbolic provides is a good idea. As (SUSE) maintainer of
openmpi I'd propose to keep it simple and use mpi_implementation.

Philipp
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-packaging+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
References